## node-yarnpkg 1.13.0

=== debian/changelog ===
node-yarnpkg (1.13.0-1+deb10u1) buster; urgency=medium

  * Team upload
  * Add patch to force using https for the regular registries
    (Closes: #941354, CVE-2019-5448)

 -- Xavier Guimard <yadd@debian.org>  Thu, 03 Oct 2019 18:23:54 +0200

node-yarnpkg (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #843021)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sat, 26 Jan 2019 08:49:57 +0100
