=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	marked-man --version v1.13.0 --section 1 --manual 'yarnpkg man page' --date="$(shell dpkg-parsechangelog --show-field=Date)" debian/yarnpkg.md > debian/yarnpkg.1
	mkdir -p node_modules
	ln -sf ../babel-plugin-transform-inline-imports-commonjs node_modules/babel-plugin-transform-inline-imports-commonjs
	gulp build
	node ./scripts/build-webpack.js
	dh_auto_build
	rm -rf node_modules

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/yarnpkg/usr/lib/nodejs/yarn/bin/yarn.js

override_dh_clean:
	dh_clean
	rm -rf node_modules
	rm -f debian/yarnpkg.1
	rm -rf debian/lib
	rm -rf artifacts/ packages/lockfile/index.js

#override_dh_auto_test:
