=== debian/tests/control ===
Tests: yarn
Depends: yarnpkg
Restrictions: allow-stderr
