=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yarn-$1.tar.gz/ \
 https://github.com/yarnpkg/yarn/tags .*/archive/v?([\d\.]+).tar.gz

opts="searchmode=plain,pgpmode=none,component=babel-plugin-transform-inline-imports-commonjs" \
 https://registry.npmjs.org/babel-plugin-transform-inline-imports-commonjs \
 https://registry.npmjs.org/babel-plugin-transform-inline-imports-commonjs/-/babel-plugin-transform-inline-imports-commonjs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=decode-uri-component" \
 https://registry.npmjs.org/decode-uri-component \
 https://registry.npmjs.org/decode-uri-component/-/decode-uri-component-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=dnscache" \
 https://registry.npmjs.org/dnscache \
 https://registry.npmjs.org/dnscache/-/dnscache-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=gunzip-maybe" \
 https://registry.npmjs.org/gunzip-maybe \
 https://registry.npmjs.org/gunzip-maybe/-/gunzip-maybe-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=hash-for-dep" \
 https://registry.npmjs.org/hash-for-dep \
 https://registry.npmjs.org/hash-for-dep/-/hash-for-dep-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=is-deflate" \
 https://registry.npmjs.org/is-deflate \
 https://registry.npmjs.org/is-deflate/-/is-deflate-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=is-gzip" \
 https://registry.npmjs.org/is-gzip \
 https://registry.npmjs.org/is-gzip/-/is-gzip-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=normalize-url" \
 https://registry.npmjs.org/normalize-url \
 https://registry.npmjs.org/normalize-url/-/normalize-url-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=npm-logical-tree" \
 https://registry.npmjs.org/npm-logical-tree \
 https://registry.npmjs.org/npm-logical-tree/-/npm-logical-tree-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=peek-stream" \
 https://registry.npmjs.org/peek-stream \
 https://registry.npmjs.org/peek-stream/-/peek-stream-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=query-string" \
 https://registry.npmjs.org/query-string \
 https://registry.npmjs.org/query-string/-/query-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=strict-uri-encode" \
 https://registry.npmjs.org/strict-uri-encode \
 https://registry.npmjs.org/strict-uri-encode/-/strict-uri-encode-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=tar-fs" \
 https://registry.npmjs.org/tar-fs \
 https://registry.npmjs.org/tar-fs/-/tar-fs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=v8-compile-cache" \
 https://registry.npmjs.org/v8-compile-cache \
