## node-yarnpkg 1.19.1

=== debian/changelog ===
node-yarnpkg (1.19.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 16 Nov 2019 17:59:58 +0530

node-yarnpkg (1.19.1-1) unstable; urgency=medium

  * New upstream version
  * Update embedded dependencies:
    - dnscache 1.0.1 -> 1.0.2
    - hash-for-dep 1.2.3 -> 1.5.1
    - normalize-url 4.1.0 -> 4.5.0
    - query-string 6.2.0 -> 6.8.3
    - tar-fs 1.16.3 -> 2.0.0
    - v8-compile-cache 2.0.2 -> 2.1.0
  * New embedded build dependency string-replace-loader
  * New embedded run-time dependency resolve-package-path
  * Remove force-https patch because it is now included upstream
  * Bump standard version
  * Bump debhelper compat
  * Remove debian/compat and replace debhelper by debhelper-compat

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 25 Oct 2019 08:24:36 +0200

node-yarnpkg (1.13.0-3) unstable; urgency=medium

  * Forces using https for the regular registries (Closes: #941354)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 29 Sep 2019 14:07:45 +0200

node-yarnpkg (1.13.0-2) unstable; urgency=medium

  * De-embed strict-uri-encode component which is now available as a package
  * Use pkg-info.mk to get SOURCE_DATE_EPOCH to pass to marked-man
  * Install files in /usr/share/nodejs rather than /usr/lib/nodejs and so fix
    lintian W nodejs-module-installed-in-usr-lib

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 16 Sep 2019 20:05:56 +0200
