=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper (>= 11)
+ debhelper-compat (= 12)
  , node-marked-man
  , nodejs
  , node-babel-core
@@ -27,13 +27,15 @@
  , node-gulp-plumber
  , node-gulp-sourcemaps
  , node-gulp-util
+ , node-loader-utils
  , node-minimatch (>= 3.0.4)
  , node-pumpify
+ , node-schema-utils (>= 1.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
  , webpack
  , node-yargs
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
 Homepage: https://github.com/yarnpkg/yarn#readme
@@ -64,12 +66,14 @@
  , node-invariant
  , node-is-builtin-module (>= 2.0.0)
  , node-fast-levenshtein
+ , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 0.5.1)
  , node-emoji (>= 1.6.1)
  , node-object-path
+ , node-path-root (>= 0.1.1)
  , node-proper-lockfile
  , node-puka
  , node-pump
@@ -81,6 +85,7 @@
  , node-rimraf (>= 2.5.0)
  , node-semver (>= 5.1.0)
  , node-ssri
+ , node-strict-uri-encode
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream
