=== debian/tests/control ===
Tests: yarn
Depends: yarnpkg, ca-certificates
Restrictions: allow-stderr
