=== debian/watch ===
--- 
+++ 
@@ -49,13 +49,12 @@
  https://registry.npmjs.org/query-string \
  https://registry.npmjs.org/query-string/-/query-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
 
-opts="searchmode=plain,pgpmode=none,component=strict-uri-encode" \
- https://registry.npmjs.org/strict-uri-encode \
- https://registry.npmjs.org/strict-uri-encode/-/strict-uri-encode-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+opts="searchmode=plain,pgpmode=none,component=resolve-package-path" \
+ https://registry.npmjs.org/resolve-package-path \
+ https://registry.npmjs.org/resolve-package-path/-/resolve-package-path-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+
+opts="searchmode=plain,pgpmode=none,component=string-replace-loader" \
+ https://registry.npmjs.org/string-replace-loader \
+ https://registry.npmjs.org/string-replace-loader/-/string-replace-loader-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
 
 opts="searchmode=plain,pgpmode=none,component=tar-fs" \
- https://registry.npmjs.org/tar-fs \
- https://registry.npmjs.org/tar-fs/-/tar-fs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
-
-opts="searchmode=plain,pgpmode=none,component=v8-compile-cache" \
- https://registry.npmjs.org/v8-compile-cache \
