## node-yarnpkg 1.22.4

=== debian/changelog ===
node-yarnpkg (1.22.4-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add dependency to ca-certificates (Closes: #952656)
  * Provide node-yarn

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2020 10:36:45 +0200

node-yarnpkg (1.22.4-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.22.4 (Closes: #952912, CVE-2020-8131)
  * Refresh patches
  * Embed component: mkdirp-classic
  * New upstream version 1.22.4
  * Use pkg-js-tools auto install

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 14:59:58 +0200

node-yarnpkg (1.21.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add "Rules-Requires-Root: no"
  * Add Bug-Submit field in metadata
  * Remove outdated fields from metadata
  * Declare compliance with policy 4.5.0
  * Update lintian overrides
  * Fix HOME for autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 12:12:55 +0200

node-yarnpkg (1.21.1-2~exp1) experimental; urgency=medium

  * Fix unreasonably timestamped files from some upstream tarballs.
    Closes: #947074.
  * Require node-vinyl-fs version compatible with node-glob-stream 6.
  * Switch to gulp 4.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 23 Dec 2019 09:54:18 +0100

node-yarnpkg (1.21.1-1) unstable; urgency=medium

  * New upstream version
  * Builds fine with webpack 4.7.0. Closes: #933498.
  * Repack sources with xzip

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 17 Dec 2019 14:28:00 +0100
