=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12)
- , node-marked-man
- , nodejs
+ , gulp (>= 4)
  , node-babel-core
  , node-babel-eslint
  , node-babel-loader
@@ -21,30 +20,34 @@
  , node-builtin-modules
  , node-execa (>= 0.10.0)
  , node-fancy-log
- , gulp
  , node-gulp-babel
  , node-gulp-newer
  , node-gulp-plumber
  , node-gulp-sourcemaps
  , node-gulp-util
  , node-loader-utils
+ , node-marked-man
  , node-minimatch (>= 3.0.4)
  , node-pumpify
  , node-schema-utils (>= 1.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
+ , node-vinyl-fs (>= 3)
+ , node-yargs
+ , pkg-js-tools (>= 0.9.20~)
  , webpack
- , node-yargs
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
-Homepage: https://github.com/yarnpkg/yarn#readme
+Homepage: https://github.com/yarnpkg/yarn
+Rules-Requires-Root: no
 
 Package: yarnpkg
 Architecture: all
+Provides: node-yarn
 Depends:
  ${misc:Depends}
- , nodejs
+ , ca-certificates
  , node-asap
  , node-babel-runtime (>= 6.26.0)
  , node-bytes (>= 3.0.0)
@@ -59,21 +62,22 @@
  , node-deep-equal
  , node-detect-indent
  , node-duplexify
+ , node-emoji (>= 1.6.1)
+ , node-fast-levenshtein
  , node-glob (>= 7.1.1)
  , node-imports-loader
  , node-ini (>= 1.3.4)
  , node-inquirer (>= 3.3.0)
  , node-invariant
  , node-is-builtin-module (>= 2.0.0)
- , node-fast-levenshtein
  , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 0.5.1)
- , node-emoji (>= 1.6.1)
+ , node-node-uuid (>= 3.0.1)
  , node-object-path
- , node-path-root (>= 0.1.1)
+ , node-path-root
  , node-proper-lockfile
  , node-puka
  , node-pump
@@ -89,9 +93,9 @@
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream
- , node-node-uuid (>= 3.0.1)
  , node-validate-npm-package-license
  , node-yn
+ , nodejs
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost
