=== debian/tests/control ===
Tests: yarn
Depends: @
Restrictions: allow-stderr
