## node-yarnpkg 1.22.10%2B~cs22.25.14

=== debian/changelog ===
node-yarnpkg (1.22.10+~cs22.25.14-8) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest using socat

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 15:28:07 +0100

node-yarnpkg (1.22.10+~cs22.25.14-7) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 15:02:21 +0100

node-yarnpkg (1.22.10+~cs22.25.14-6) experimental; urgency=medium

  * Team upload
  * Add fix for node-commander ≥ 7

 -- Yadd <yadd@debian.org>  Mon, 03 Jan 2022 12:19:19 +0100

node-yarnpkg (1.22.10+~cs22.25.14-5) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * Add yarnpkg --version test (#1001532)
  * Add fix for node-js-yaml ≥ 4

 -- Yadd <yadd@debian.org>  Thu, 16 Dec 2021 11:05:43 +0100

node-yarnpkg (1.22.10+~cs22.25.14-4) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Add dependency to node-through2 required by gunzip-maybe
  * Declare compliance with policy 4.6.0
  * Refresh patches
  * Drop unneeded (build-)dependency version constraints
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 11:03:46 +0200

node-yarnpkg (1.22.10+~cs22.25.14-3) unstable; urgency=medium

  * Team upload

  [ Paolo Greppi ]
  * Use promise calling convention for proper-lockfile 3+ (Closes: #986117)

  [ Xavier Guimard ]
  * Fix GitHub tags regex in watch file

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 14 Jun 2021 20:25:04 +0200

node-yarnpkg (1.22.10+~cs22.25.14-2) unstable; urgency=medium

  * Fix date and version in manpage
  * Fix uuid import so that it works with recent versions (Closes: #980775)
  * Depend on node-babel7-runtime rather than node-babel7

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 28 Jan 2021 11:42:25 +0100

node-yarnpkg (1.22.10+~cs22.25.14-1) unstable; urgency=medium

  * Team upload
  * Update tar-fs component to 2.1 and refactor watch file
    (Closes: #977781) Thanks to Akshay S Dinesh
  * New upstream version 1.22.10+~cs22.25.14

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Dec 2020 17:31:25 +0530

node-yarnpkg (1.22.10+~cs18.39.16-2) unstable; urgency=medium

  * Add packaged node modules path in webpack configuration
  * Add build dependencies required for webpack build
  * Add node-resolve as build dependency and update minimum version
  * List contents of node_modules in autopkgtest (expose failure)

 -- Pirate Praveen <praveen@debian.org>  Mon, 21 Dec 2020 00:34:20 +0530

node-yarnpkg (1.22.10+~cs18.39.16-1) unstable; urgency=medium

  * Team upload
  * Drop babel-plugin-transform-inline-imports-commonjs component
  * Switch to group and checksum options in watch file
  * New upstream version 1.22.10+~cs18.39.16
  * Refresh patches (remove parts no longer needed)
  * Add dependency on node-prepend-http and node-sort-keys (for normalize-url
    component)

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Dec 2020 17:50:36 +0530

node-yarnpkg (1.22.4-6) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Drop node-babel-core and most of babel 6 build dependencies
    and build with babel 7 (gulp-babel/babel-loader 8.x)
  * Add back transform-inline-imports-commonjs to fix regression
   (Closes: #960120)
  * Add back node-babel-plugin-transform-strict-mode from babel 6

  [ Paolo Greppi ]
  * Avoid misleading error when webpack fails

  [ Xavier Guimard ]
  * Remove double build
  * Fix autopkgtest
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Add fix for node-schema-utils ≥ 3

  [ Akshay S Dinesh ]
  * Remove optional dependency blocking babel-7 update (Closes: #960120)

  [ Pirate Praveen ]
  * Tighten dependency on node-request

  [ Akshay S Dinesh ]
  * feat: reimplement transform commonjs
  * Remove erroring update message function

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Dec 2020 15:32:39 +0530

node-yarnpkg (1.22.4-5) unstable; urgency=medium

  * Update autopkgtest to use 'yarnpkg add' in a clean project instead of
    'yarnpkg install' command in the source tree (this fixes autopkgtest
    failure with uuid 8.x because request module installed via yarnpkg is not
    compatible with uuid 8.x)
  * Replace node-node-uuid with node-uuid (Closes: #976155)

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 Dec 2020 20:32:50 +0530

node-yarnpkg (1.22.4-4) unstable; urgency=medium

  * Use mkdirp-classing and bump minimum version of node-mkdirp
    (Closes: #973741)
  * Build using snapshot.debian.org at 20200502T085134Z chroot

 -- Pirate Praveen <praveen@debian.org>  Sun, 29 Nov 2020 01:16:23 +0530

node-yarnpkg (1.22.4-3) unstable; urgency=medium

  * Team upload
  * Embed gulp-babel 6.1.2 to allow updating node-babel7 (Closes: #958780)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 May 2020 23:10:45 +0530
