## node-yarnpkg 1.22.10+~cs18.39.16

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,16 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , gulp (>= 4)
- , node-babel-core
  , node-babel-eslint
- , node-babel-loader
- , node-babel-plugin-array-includes
- , node-babel-plugin-transform-builtin-extend
- , node-babel-plugin-transform-runtime
- , node-babel-preset-env
- , node-babel-preset-flow
- , node-babel-preset-stage-0
- , node-babylon
+ , node-babel-loader (>= 8.0~)
+ , node-babel7
  , node-browserify-zlib
  , node-builtin-modules
  , node-execa (>= 0.10.0)
  , node-fancy-log
- , node-gulp-babel
+ , node-gulp-babel (>= 8.0~)
  , node-gulp-newer
  , node-gulp-plumber
  , node-gulp-sourcemaps
@@ -29,14 +22,14 @@
  , node-marked-man
  , node-minimatch (>= 3.0.4)
  , node-pumpify
- , node-schema-utils (>= 1.0.0)
+ , node-schema-utils (>= 3.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
  , node-vinyl-fs (>= 3)
  , node-yargs
- , pkg-js-tools (>= 0.9.20~)
+ , dh-sequence-nodejs
  , webpack
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
 Homepage: https://github.com/yarnpkg/yarn
@@ -49,7 +42,7 @@
  ${misc:Depends}
  , ca-certificates
  , node-asap
- , node-babel-runtime (>= 6.26.0)
+ , node-babel7
  , node-bytes (>= 3.0.0)
  , node-camelcase (>= 4.0.0)
  , node-chalk (>= 2.1.0)
@@ -74,8 +67,8 @@
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
- , node-mkdirp (>= 0.5.1)
- , node-node-uuid (>= 3.0.1)
+ , node-mkdirp (>= 1.0~)
+ , node-uuid (>= 3.0.1)
  , node-object-path
  , node-path-root
  , node-proper-lockfile
@@ -83,7 +76,7 @@
  , node-pump
  , node-pumpify
  , node-read (>= 1.0.7)
- , node-request (>= 2.87.0)
+ , node-request (>= 2.88.1-5~)
  , node-request-capture-har (>= 1.2.2)
  , node-resolve
  , node-rimraf (>= 2.5.0)
@@ -96,6 +89,9 @@
  , node-validate-npm-package-license
  , node-yn
  , nodejs
+# for embedded normalize-url
+ , node-prepend-http
+ , node-sort-keys
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost
