=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	find dnscache/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
@@ -22,7 +22,6 @@
 	marked-man --version v1.19.0 --section 1 --manual 'yarnpkg man page' --date="$(SOURCE_DATE_EPOCH)" debian/yarnpkg.md > debian/yarnpkg.1
 	gulp build
 	node ./scripts/build-webpack.js
-	dh_auto_build --buildsystem=nodejs
 	rm -rf node_modules
 
 override_dh_fixperms:
