=== debian/watch ===
version=4

opts=\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yarn-$1.tar.gz/ \
 https://github.com/yarnpkg/yarn/tags .*/archive/v?([\d\.]+).tar.gz group

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=decode-uri-component" \
 https://registry.npmjs.org/decode-uri-component \
 https://registry.npmjs.org/decode-uri-component/-/decode-uri-component-(0(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=dnscache" \
 https://registry.npmjs.org/dnscache \
 https://registry.npmjs.org/dnscache/-/dnscache-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=gunzip-maybe" \
 https://registry.npmjs.org/gunzip-maybe \
 https://registry.npmjs.org/gunzip-maybe/-/gunzip-maybe-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=hash-for-dep" \
 https://registry.npmjs.org/hash-for-dep \
 https://registry.npmjs.org/hash-for-dep/-/hash-for-dep-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=is-deflate" \
 https://registry.npmjs.org/is-deflate \
 https://registry.npmjs.org/is-deflate/-/is-deflate-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=is-gzip" \
 https://registry.npmjs.org/is-gzip \
 https://registry.npmjs.org/is-gzip/-/is-gzip-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=normalize-url" \
 https://registry.npmjs.org/normalize-url \
 https://registry.npmjs.org/normalize-url/-/normalize-url-(2(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=npm-logical-tree" \
 https://registry.npmjs.org/npm-logical-tree \
 https://registry.npmjs.org/npm-logical-tree/-/npm-logical-tree-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checkum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=peek-stream" \
 https://registry.npmjs.org/peek-stream \
 https://registry.npmjs.org/peek-stream/-/peek-stream-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=query-string" \
 https://registry.npmjs.org/query-string \
 https://registry.npmjs.org/query-string/-/query-string-(5(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=resolve-package-path" \
 https://registry.npmjs.org/resolve-package-path \
 https://registry.npmjs.org/resolve-package-path/-/resolve-package-path-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=string-replace-loader" \
 https://registry.npmjs.org/string-replace-loader \
 https://registry.npmjs.org/string-replace-loader/-/string-replace-loader-(2(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum
