## node-yarnpkg 1.22.10+~cs22.25.14

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,35 @@
  , node-yargs
  , dh-sequence-nodejs
  , webpack
+ , node-asap
+ , node-bytes (>= 3.0~)
+ , node-ci-info
+ , node-cli-table
+ , node-death
+ , node-deep-equal
+ , node-detect-indent
+ , node-emoji (>= 1.6.1)
+ , node-fast-levenshtein
+ , node-inquirer (>= 3.3~)
+ , node-invariant
+ , node-is-builtin-module (>= 2.0~)
+ , node-js-yaml (>= 3.13.1)
+ , node-loud-rejection
+ , node-object-path
+ , node-proper-lockfile
+ , node-puka
+ , node-read (>= 1.0.7)
+ , node-request (>= 2.88.1-5~)
+ , node-request-capture-har (>= 1.2.2)
+ , node-resolve (>= 1.19.0+~cs5.20.8~)
+ , node-tar-stream
+ , node-uuid (>= 3.0.1)
+ , node-yn
+# for embedded normalize-url
+ , node-prepend-http
+ , node-sort-keys
+# for embedded query-string
+ , node-strict-uri-encode
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
@@ -42,8 +71,8 @@
  ${misc:Depends}
  , ca-certificates
  , node-asap
- , node-babel7
- , node-bytes (>= 3.0.0)
+ , node-babel7-runtime
+ , node-bytes (>= 3.0~)
  , node-camelcase (>= 4.0.0)
  , node-chalk (>= 2.1.0)
  , node-chownr
@@ -60,15 +89,14 @@
  , node-glob (>= 7.1.1)
  , node-imports-loader
  , node-ini (>= 1.3.4)
- , node-inquirer (>= 3.3.0)
+ , node-inquirer (>= 3.3~)
  , node-invariant
- , node-is-builtin-module (>= 2.0.0)
+ , node-is-builtin-module (>= 2.0~)
  , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 1.0~)
- , node-uuid (>= 3.0.1)
  , node-object-path
  , node-path-root
  , node-proper-lockfile
@@ -78,7 +106,7 @@
  , node-read (>= 1.0.7)
  , node-request (>= 2.88.1-5~)
  , node-request-capture-har (>= 1.2.2)
- , node-resolve
+ , node-resolve (>= 1.19.0+~cs5.20.8~)
  , node-rimraf (>= 2.5.0)
  , node-semver (>= 5.1.0)
  , node-ssri
@@ -86,12 +114,15 @@
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream
+ , node-uuid (>= 3.0.1)
  , node-validate-npm-package-license
  , node-yn
  , nodejs
 # for embedded normalize-url
  , node-prepend-http
  , node-sort-keys
+# for embedded query-string
+ , node-strict-uri-encode
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost
